%define realname lftp

%define _libdir64 %{_prefix}/lib64

Summary:	A sophisticated file transfer program
Name:		%{realname}_64
Version:	4.8.3
Release:	1
License:	GPLv3+
Group:		Applications/Internet
Source0:	ftp://ftp.yar.ru/lftp/%{realname}-%{version}.tar.bz2
Source1:	ftp://ftp.yar.ru/lftp/%{realname}-%{version}.tar.bz2.asc
Source2:	ftp://ftp.yar.ru/lftp/%{realname}-%{version}.md5sum
Patch0:		%{realname}-%{version}-aix.patch
URL:		http://lftp.yar.ru/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gnutls-devel >= 2.12.23-2
BuildRequires:	pkg-config
BuildRequires:	readline-devel >= 5.2-3
BuildRequires:	readline-devel < 6.0
BuildRequires:	expat-devel >= 2.2.4-1
BuildRequires:	gettext
BuildRequires:	gcc >= 4.5.4-1, gcc-c++ >= 4.5.4-1
BuildRequires:	libiconv >= 1.15-1
BuildRequires:	zlib-devel >= 1.2.4-2
Requires:	bash
Requires:	gnutls >= 2.12.23-2
Requires:	pkg-config
Requires:	readline >= 5.2-3
Requires:	gettext
Requires:	expat >= 2.2.4-1
Requires:	libgcc >= 4.5.4-1, libstdc++ >= 4.5.4-1
Requires:	libiconv >= 1.15-1
Requires:	zlib >= 1.2.4-2

Provides:	%{realname}

BuildConflicts:	ncurses

%description
LFTP is a sophisticated ftp/http file transfer program. Like bash, it has job
control and uses the readline library for input. It has bookmarks, built-in
mirroring, and can transfer several files in parallel. It is designed with
reliability in mind.

This is the 64-bit version.


%prep
%setup -q -n %{realname}-%{version}
%patch0


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="gcc -maix64 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O6 -I/opt/freeware/include"

export CXX="g++ -maix64"
export CXXFLAGS=${CFLAGS}

export LD=ld
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

export OBJECT_MODE=64

./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --with-gnutls
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc BUGS COPYING ChangeLog FAQ FEATURES README* NEWS THANKS TODO
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir64}/lib%{realname}*
%{_datadir}/%{realname}
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Mon May 28 2018 Michael Perzl <michael@perzl.org> - 4.8.3-1
- first 64-bit version for AIX V5.1 and higher
